## EDataCalFactory

EDataCalFactory — The main calendar server object

## Functions

EDBusServer * | e_data_cal_factory_new ()
ESourceRegistry * | e_data_cal_factory_get_registry ()

## Types and Values

#define | EDS_CALENDAR_MODULES
struct | EDataCalFactory
struct | EDataCalFactoryClass

## Includes

    #include <libedata-cal/libedata-cal.h>

## Description

This class handles incomming D-Bus connections and creates the EDataCal layer for server side calendars to communicate with client side ECalClient objects.

## Functions

### e_data_cal_factory_new ()

    EDBusServer *
    e_data_cal_factory_new (GCancellable *cancellable,
                            GError **error);

### e_data_cal_factory_get_registry ()

    ESourceRegistry *
    e_data_cal_factory_get_registry (EDataCalFactory *factory);

Returns the ESourceRegistry owned by `factory` .

#### Parameters

factory | an EDataCalFactory |

#### Returns

the ESourceRegistry

Since 3.6

## Types and Values

### EDS_CALENDAR_MODULES

    #define EDS_CALENDAR_MODULES    "EDS_CALENDAR_MODULES"

This environment variable configures where the calendar factory loads it's backend modules from.

### struct EDataCalFactory

    struct EDataCalFactory {
    	EDataFactory parent;
    	EDataCalFactoryPrivate *priv;
    };

### struct EDataCalFactoryClass

    struct EDataCalFactoryClass {
    	EDataFactoryClass parent_class;
    };